tvbrowser.extras.common

## Class ReminderConfiguration

- java.lang.Object
- - tvbrowser.extras.common.ReminderConfiguration

-     public class ReminderConfiguration
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `REMINDER_DEFAULT`
    `static java.lang.String` | `REMINDER_EMAIL`
    `static java.lang.String` | `REMINDER_INSTANT_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReminderConfiguration()`
    `ReminderConfiguration(java.io.ObjectInputStream in)`
    `ReminderConfiguration(java.lang.String[] ids)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsService(java.lang.String service)`
    `java.lang.String[]` | `getReminderServices()`
    `void` | `setReminderServices(java.lang.String[] ids)`
    `void` | `store(java.io.ObjectOutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REMINDER_DEFAULT

          public static final java.lang.String REMINDER_DEFAULT

      See Also:
        Constant Field Values

    - #### REMINDER_EMAIL

          public static final java.lang.String REMINDER_EMAIL

      See Also:
        Constant Field Values

    - #### REMINDER_INSTANT_MESSAGE

          public static final java.lang.String REMINDER_INSTANT_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReminderConfiguration

          public ReminderConfiguration(java.lang.String[] ids)

    - #### ReminderConfiguration

          public ReminderConfiguration()

    - #### ReminderConfiguration

          public ReminderConfiguration(java.io.ObjectInputStream in)
                                throws java.io.IOException,
                                       java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

  - ### Method Detail

    - #### store

          public void store(java.io.ObjectOutputStream out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getReminderServices

          public java.lang.String[] getReminderServices()

    - #### setReminderServices

          public void setReminderServices(java.lang.String[] ids)

    - #### containsService

          public boolean containsService(java.lang.String service)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)